/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/

#include <stdio.h>
#include <string.h>
#include <tcl.h>
#include <tk.h>
#include <SDDS.h>
#include "shareLib.h"


#define MAX_OPEN_SDDS_FILES 20
#define SDDS_ERROR_MODE (SDDS_VERBOSE_PrintErrors|SDDS_LAST_GetErrorMessages)
#define tclSDDS_BUFSIZE 8192

/***********************/
/* Function Prototypes */
/***********************/
epicsShareFunc int epicsShareAPI tclSDDSInit(Tcl_Interp *interp);
epicsShareFunc int epicsShareAPI tclSDDSOpen(Tcl_Interp *interp, int argc, char *argv[]);
epicsShareFunc int epicsShareAPI tclSDDSClose(Tcl_Interp *interp, int argc, char *argv[]);
epicsShareFunc int epicsShareAPI tclSDDSGetRowCount(Tcl_Interp *interp, int argc, char *argv[]);
epicsShareFunc int epicsShareAPI tclSDDSGetDescription(Tcl_Interp *interp, int argc, char *argv[]);
epicsShareFunc int epicsShareAPI tclSDDSGetColumn(Tcl_Interp *interp, int argc, char *argv[]);
epicsShareFunc int epicsShareAPI tclSDDSGetColumnInformation(Tcl_Interp *interp, int argc, char *argv[]);
epicsShareFunc int epicsShareAPI tclSDDSGetParameter(Tcl_Interp *interp, int argc, char *argv[]);
epicsShareFunc int epicsShareAPI tclSDDSGetParameterInformation(Tcl_Interp *interp, int argc, char *argv[]);
epicsShareFunc int epicsShareAPI tclSDDSGetNames(Tcl_Interp *interp, int argc, char *argv[]);
epicsShareFunc int epicsShareAPI tclSDDSGetArray(Tcl_Interp *interp, int argc, char *argv[]);
epicsShareFunc int epicsShareAPI tclSDDSGetArrayInformation(Tcl_Interp *interp, int argc, char *argv[]);
epicsShareFunc int epicsShareAPI tclSDDSDefineColumn(Tcl_Interp *interp, int argc, char *argv[]);
epicsShareFunc int epicsShareAPI tclSDDSDefineParameter(Tcl_Interp *interp, int argc, char *argv[]);
epicsShareFunc int epicsShareAPI tclSDDSDefineArray(Tcl_Interp *interp, int argc, char *argv[]);
epicsShareFunc int epicsShareAPI tclSDDSStartPage(Tcl_Interp *interp, int argc, char *argv[]);
epicsShareFunc int epicsShareAPI tclSDDSWritePage(Tcl_Interp *interp, int argc, char *argv[]);
epicsShareFunc int epicsShareAPI tclSDDSWriteLayout(Tcl_Interp *interp, int argc, char *argv[]);
epicsShareFunc int epicsShareAPI tclSDDSSetDescription(Tcl_Interp *interp, int argc, char *argv[]);
epicsShareFunc int epicsShareAPI tclSDDSSetParameter(Tcl_Interp *interp, int argc, char *argv[]);
epicsShareFunc int epicsShareAPI tclSDDSSetArray(Tcl_Interp *interp, int argc, char *argv[]);
epicsShareFunc int epicsShareAPI tclSDDSSetRowValues(Tcl_Interp *interp, int argc, char *argv[]);
epicsShareFunc int epicsShareAPI tclSDDSSetColumn(Tcl_Interp *interp, int argc, char *argv[]);
epicsShareFunc int epicsShareAPI tclSDDSCheck(Tcl_Interp *interp, int argc, char *argv[]);
epicsShareFunc int epicsShareAPI tclSDDSCollapse(Tcl_Interp *interp, int argc, char *argv[]);
epicsShareFunc int epicsShareAPI tclSDDSExpand(Tcl_Interp *interp, int argc, char *argv[]);
epicsShareFunc int epicsShareAPI tclSDDSConvert(Tcl_Interp *interp, int argc, char *argv[]);
epicsShareFunc int epicsShareAPI tclSDDSLoad(Tcl_Interp *interp, int argc, char *argv[]);
epicsShareFunc int epicsShareAPI tclSDDSSave(Tcl_Interp *interp, int argc, char *argv[]);
